Package Details: kodi-addon-pvr-iptvsimple 21.8.4-1

Git Clone URL: https://aur.archlinux.org/kodi-addon-pvr-iptvsimple.git (read-only, click to copy)
Package Base: kodi-addon-pvr-iptvsimple
Description: IPTV Simple PVR client addon for Kodi
Upstream URL: https://github.com/kodi-pvr/pvr.iptvsimple
Licenses: GPL
Groups: kodi
Conflicts: kodi-addon-pvr-iptvsimple-git
Submitter: thepasto
Maintainer: thepasto
Last Packager: thepasto
Votes: 36
Popularity: 0.168603
First Submitted: 2017-02-11 18:15 (UTC)
Last Updated: 2024-04-17 15:07 (UTC)

Pinned Comments

thepasto commented on 2019-10-05 17:13 (UTC)

This package will follow the STABLE kodi release

Latest Comments

1 2 3 4 5 Next › Last »

ivanich commented on 2023-08-03 20:53 (UTC)

Please add dependency pugixml CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:230 (message): Could NOT find pugixml (missing: PUGIXML_INCLUDE_DIRS PUGIXML_LIBRARIES) Call Stack (most recent call first): /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:600 (_FPHSA_FAILURE_MESSAGE) Findpugixml.cmake:12 (find_package_handle_standard_args) CMakeLists.txt:7 (find_package)

ilikenwf commented on 2022-11-13 19:36 (UTC) (edited on 2022-11-13 20:20 (UTC) by ilikenwf)

I notified maintainer but this should fix your crash issues:

https://gist.github.com/ilikenwf/807d7b543972bc8e2b75ef94efaca870

The regex may need adjusted for \,\? before the string in case it is comma separated.

While it doesn't really 'fix' whatever GLIB is detecting, I'm not going to spend hours in GDB to find and address what is probably at worst a false positive for a string overflow.

thepasto commented on 2022-09-11 17:55 (UTC)

it's working for me right now https://i.postimg.cc/662xD28m/image.png

majo commented on 2022-09-11 09:29 (UTC)

Kodi 19.4 still crashes with kodi-addon-pvr-iptvsimple-19.2.2-2 (in Manajro)

kodi
/usr/sbin/kodi: line 186: 45196 Segmentation fault      (core dumped) ${KODI_BINARY} $SAVED_ARGS

Downgrading to kodi-addon-pvr-iptvsimple-19.1.0-1 solves the issue.

bahha commented on 2022-09-10 21:57 (UTC)

Kodi version:19.4 it crashes after I installed this package. I tried lower version of pvr-iptvsimple, same result. SegFault. The thing that worked for me was to install this and downloaded kodi-pvr-iptvsimple_19.2.2-1~jammy_amd64.deb package and replaced the files in : /usr/lib/kodi/addons/pvr.iptvsimple/ and /usr/share/kodi/addons/ .

DavTheRaveUK commented on 2022-08-25 09:35 (UTC)

Kodi Version: 19.4

I would like to confirm what @d4rkgh0m and @DaveOne have stated. After "kodi-addon-pvr-iptvsimple 19.2.2-1" is compiled and installed kodi freezes; crashes and exits.

d4rkgh0m commented on 2022-07-02 18:14 (UTC)

Crashes with kodi 19.4-5

DaveOne commented on 2022-05-15 07:07 (UTC)

Crashes with kodi 19.4-5.

ivanich commented on 2021-08-28 13:41 (UTC)

Please add aarch64, I can confirm it builds and works fine on aarch64

ghen commented on 2021-05-10 06:48 (UTC) (edited on 2021-05-10 06:52 (UTC) by ghen)

Upstream version 7.6.4 fixes this: https://github.com/kodi-pvr/pvr.iptvsimple/commit/9a0a253d8385ef9fb1aaa809bddb72017be3d369